---
title: Animation.play()
slug: Web/API/Animation/play
tags:
  - API
  - Animation
  - Interface
  - Method
  - Reference
  - Web Animations
  - play
  - waapi
  - web animations api
---
<div>{{ APIRef("Web Animations") }}{{SeeCompatTable}}</div>

<p>The <strong><code>play()</code></strong> method of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>'s {{ domxref("Animation") }} Interface starts or resumes playing of an animation. If the animation is finished, calling <code>play()</code> restarts the animation, playing it from the beginning.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">animation.play();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}</p>

<h2 id="Example">Example</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/PNYGZQ?editors=0010">Growing/Shrinking Alice Game</a> example, clicking or tapping the cake causes Alice's growing animation (<code>aliceChange</code>) to play forward, causing her to get bigger, as well as triggering the cake's animation. Two <code>Animation.play()</code>s, one <code>EventListener</code>:</p>

<pre class="brush: js">// The cake has its own animation:
var nommingCake = document.getElementById('eat-me_sprite').animate(
[
  { transform: 'translateY(0)' },
  { transform: 'translateY(-80%)' }
], {
  fill: 'forwards',
  easing: 'steps(4, end)',
  duration: aliceChange.effect.timing.duration / 2
});

// Pause the cake's animation so it doesn't play immediately.
nommingCake.pause();

// This function will play when ever a user clicks or taps
var growAlice = function() {

  // Play Alice's animation.
  aliceChange.play();

  // Play the cake's animation.
  nommingCake.play();

}

// When a user holds their mouse down or taps, call growAlice to make all the animations play.
cake.addEventListener("mousedown", growAlice, false);
cake.addEventListener("touchstart", growAlice, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animation-play', 'play()')}}</td>
   <td>{{Spec2("Web Animations")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Animation.play")}}</p>
</div>

<h2 id="See_also" style="line-height: 30px; font-size: 2.14285714285714rem;">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation")}} for other methods and properties you can use to control web page animation.</li>
 <li>{{domxref("Animation.pause()")}} to pause an animation.</li>
 <li>{{domxref("Animation.reverse()")}} to play an animation backwards.</li>
 <li>{{domxref("Animation.finish()")}} to finish an animation.</li>
 <li>{{domxref("Animation.cancel()")}} to cancel an animation.</li>
</ul>
